import 'dart:core';

import 'package:fis_jsonrpc/client_base.dart';
import 'package:fis_common/json_convert.dart';

import 'dBLog.m.dart';

import 'device.m.dart';


class DBLogService extends JsonRpcClientBase {
	DBLogService(
		String host, {
		String serviceName = "IDBLogService",
		Map<String, String>? headers,
		int? timeout,
	}) : super(
						host,
						serviceName,
						headers: headers,
						timeout: timeout,
				) {
		/// 注册响应实体反序列化处理器
		FJsonConvert.setDecoder((map) => PageCollection<DBLog>.fromJson(map));
		FJsonConvert.setDecoder((map) => DBLog.fromJson(map));
	}

	Future<PageCollection<DBLog>> findDBLogPagesAsync(GetDBLogPagesRequest request) async {
		var rpcRst = await call("FindDBLogPagesAsync", request);
		var result = PageCollection<DBLog>.fromJson(rpcRst as Map<String, dynamic>);
		return result;
	}

	Future<bool> deleteDBLogsAsync(DeleteDBLogsRequest request) async {
		var rpcRst = await call("DeleteDBLogsAsync", request);
		return rpcRst;
	}

}

