class UpdateServerInfoRequest {
	List<String >? codes;

	UpdateServerInfoRequest({
		this.codes,
	});

	factory UpdateServerInfoRequest.fromJson(Map<String, dynamic> map) {
		return UpdateServerInfoRequest( 
			codes: map['Codes'] != null ? map['Codes'].cast<String>().toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(codes != null)
			map['Codes'] = codes;
		return map;
	}
}

class ServerInfoDTO {
	String? name;
	String? host;

	ServerInfoDTO({
		this.name,
		this.host,
	});

	factory ServerInfoDTO.fromJson(Map<String, dynamic> map) {
		return ServerInfoDTO( 
			name: map['Name'],
			host: map['Host'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(name != null)
			map['Name'] = name;
		if(host != null)
			map['Host'] = host;
		return map;
	}
}

class QueryServerInfoRequest {
	List<String >? codes;

	QueryServerInfoRequest({
		this.codes,
	});

	factory QueryServerInfoRequest.fromJson(Map<String, dynamic> map) {
		return QueryServerInfoRequest( 
			codes: map['Codes'] != null ? map['Codes'].cast<String>().toList() : null,
		);
	}

	Map<String, dynamic> toJson() {
		final map = Map<String, dynamic>();
		if(codes != null)
			map['Codes'] = codes;
		return map;
	}
}


