import 'aIDiagnosis.m.dart';
import 'authentication.m.dart';

class GetAdminPagesRequest extends PageRequest{
	String? queryType;
	String? keyWord;
	String? roleCode;
	bool isShowSuperRoleCode;
	String? fatherCode;

	GetAdminPagesRequest({
		this.queryType,
		this.keyWord,
		this.roleCode,
		this.isShowSuperRoleCode = false,
		this.fatherCode,
		int pageIndex = 0,
		int pageSize = 0,
		String? token,
	}) : super(
			pageIndex: pageIndex,
			pageSize: pageSize,
			token: token,
		);

	factory GetAdminPagesRequest.fromJson(Map<String, dynamic> map) {
		return GetAdminPagesRequest( 
			queryType: map['QueryType'],
			keyWord: map['KeyWord'],
			roleCode: map['RoleCode'],
			isShowSuperRoleCode: map['IsShowSuperRoleCode'],
			fatherCode: map['FatherCode'],
			pageIndex: map['PageIndex'],
			pageSize: map['PageSize'],
			token: map['Token'],
		);
	}

	Map<String, dynamic> toJson() {
		final map = super.toJson();
		if(queryType != null)
			map['QueryType'] = queryType;
		if(keyWord != null)
			map['KeyWord'] = keyWord;
		if(roleCode != null)
			map['RoleCode'] = roleCode;
		map['IsShowSuperRoleCode'] = isShowSuperRoleCode;
		if(fatherCode != null)
			map['FatherCode'] = fatherCode;
		return map;
	}
}


